> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar posição de tarefa no kanban



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json patch /task/kanban/{id}
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /task/kanban/{id}:
    patch:
      tags:
        - Tasks
      summary: Atualizar posição de tarefa no kanban
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
          description: ID da tarefa
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                columnId:
                  type: string
                  format: uuid
                  description: ID da coluna
                officeId:
                  type: string
                  format: uuid
                  description: ID do escritório
                currentIndex:
                  type: integer
                  minimum: 0
                  description: Índice atual na coluna
                isSameColumnReorder:
                  type: boolean
                  description: Reordenar na mesma coluna
              required:
                - columnId
                - officeId
                - currentIndex
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Operação concluída
                required:
                  - success
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````